automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: FYI: PR 266


From: Tom Tromey
Subject: Patch: FYI: PR 266
Date: 29 Dec 2001 17:29:53 -0700

I'm checking this in.
This adds a test case and a fix for PR 266.

Tom

Index: ChangeLog
from  Tom Tromey  <address@hidden>
        For PR automake/266:
        * tests/Makefile.am (TESTS): Added pr266.test.
        * tests/pr266.test: New file.
        * m4/depout.m4 (_AM_OUTPUT_DEPENDENCY_COMMANDS): Handle
        non-standard name for makefile.

Index: m4/depout.m4
===================================================================
RCS file: /cvs/automake/automake/m4/depout.m4,v
retrieving revision 1.8
diff -u -r1.8 depout.m4
--- m4/depout.m4 2001/10/15 07:52:52 1.8
+++ m4/depout.m4 2001/12/30 00:14:42
@@ -23,11 +23,11 @@
 # ------------------------------
 AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS],
 [for mf in $CONFIG_FILES; do
-  case $mf in
-  Makefile) dirpart=.;;
-  */Makefile) dirpart=`AS_DIRNAME("$mf")`;;
-  *) continue;;
-  esac
+  if (head -1 $mf | fgrep 'generated by automake') > /dev/null 2>&1; then
+    dirpart=`AS_DIRNAME("$mf")`
+  else
+    dirpart=
+  fi
   grep '^DEP_FILES *= *[[^ @%:@]]' < "$mf" > /dev/null || continue
   # Extract the definition of DEP_FILES from the Makefile without
   # running `make'.
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.358
diff -u -r1.358 Makefile.am
--- tests/Makefile.am 2001/12/29 23:58:07 1.358
+++ tests/Makefile.am 2001/12/30 00:14:42
@@ -239,6 +239,7 @@
 pluseq8.test \
 ppf77.test \
 pr2.test \
+pr266.test \
 pr279.test \
 pr279-2.test \
 pr9.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.465
diff -u -r1.465 Makefile.in
--- tests/Makefile.in 2001/12/29 23:58:07 1.465
+++ tests/Makefile.in 2001/12/30 00:14:42
@@ -312,6 +312,7 @@
 pluseq8.test \
 ppf77.test \
 pr2.test \
+pr266.test \
 pr279.test \
 pr279-2.test \
 pr9.test \
Index: tests/pr266.test
===================================================================
RCS file: pr266.test
diff -N pr266.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ tests/pr266.test Sat Dec 29 16:14:42 2001
@@ -0,0 +1,29 @@
+#! /bin/sh
+
+# Test for PR 266.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT(foo, 0.1, address@hidden)
+AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
+AC_PROG_CC
+AM_CONDITIONAL(FOOTEST, false)
+AC_CONFIG_FILES(Maudefile)
+AC_OUTPUT
+END
+
+cat > Maudefile.am << 'END'
+include_HEADERS         = 3dfx.h linutil.h
+noinst_HEADERS          = fx64.h fxdll.h fximg.h fxglob.h \
+                          fxos.h fxver.h glob.h
+noinst_PROGRAMS = fxmisc
+fxmisc_SOURCES    = fx64.c fximg.c fxos.c linutil.c
+END
+
+$ACLOCAL || exit 1
+$AUTOMAKE || exit 1
+$AUTOCONF || exit 1
+./configure || exit 1
+
+test -f .deps/fx64.Po



reply via email to

[Prev in Thread] Current Thread [Next in Thread]